package model2;

/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
import java.io.IOException;
import java.sql.SQLException;
import java.util.ArrayList;
import java.util.logging.Level;
import java.util.logging.Logger;
import javax.servlet.RequestDispatcher;
import javax.servlet.ServletContext;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

/**
 *
 * @author dienert
 */
public class Controller extends HttpServlet {

    /**
     * Processes requests for both HTTP <code>GET</code> and <code>POST</code>
     * methods.
     *
     * @param request servlet request
     * @param response servlet response
     * @throws ServletException if a servlet-specific error occurs
     * @throws IOException if an I/O error occurs
     */
    protected void processRequest(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
        response.setContentType("text/html;charset=UTF-8");
        String url = "/WEB-INF/view/start.jsp";

        //session-objekt holen
        HttpSession session = request.getSession();
        Person person;
        person = (Person) session.getAttribute("dude");

        //beim ersten aufruf gibt es noch kein person-objekt
        if (person == null) {
            person = new Person();
            session.setAttribute("dude", person);
        }
        
        session.setAttribute("sichtbarkeit", "hidden");

        String action = request.getParameter("action");
        //beim ersten aufruf gibt es noch kein action-object:
        if (action == null) {
            action = "null";
        }

        if (action.startsWith("Bilder")) {
            DbZugriff dbz = new DbZugriff();
            try {
                session.setAttribute("produktliste", dbz.getProduktListe());
            } catch (Exception ex) {
                Logger.getLogger(Controller.class.getName()).log(Level.SEVERE, null, ex);
            }
       //     try {
               // ArrayList<String> suchergebnis = dbz.sucheAdressenVonUser(person);
              //  person.setEmails(suchergebnis);
         //   } catch (SQLException ex) {
         //       Logger.getLogger(Controller.class.getName()).log(Level.SEVERE, null, ex);
         //   }
            url = "/WEB-INF/view/ergebnis.jsp";
        }
        
        else if (action.equals("ende")){
            url = "/WEB-INF/view/ende.jsp";
        }

        ServletContext sc = this.getServletContext();
        RequestDispatcher rd = sc.getRequestDispatcher(url);
        rd.forward(request, response);
    }

    // <editor-fold defaultstate="collapsed" desc="HttpServlet methods. Click on the + sign on the left to edit the code.">
    /**
     * Handles the HTTP <code>GET</code> method.
     *
     * @param request servlet request
     * @param response servlet response
     * @throws ServletException if a servlet-specific error occurs
     * @throws IOException if an I/O error occurs
     */
    @Override
    protected void doGet(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
        processRequest(request, response);
    }

    /**
     * Handles the HTTP <code>POST</code> method.
     *
     * @param request servlet request
     * @param response servlet response
     * @throws ServletException if a servlet-specific error occurs
     * @throws IOException if an I/O error occurs
     */
    @Override
    protected void doPost(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
        processRequest(request, response);
    }

    /**
     * Returns a short description of the servlet.
     *
     * @return a String containing servlet description
     */
    @Override
    public String getServletInfo() {
        return "Short description";
    }// </editor-fold>

}
