//http://bytes.com/topic/java/answers/884256-how-display-more-image-database-using-jsp

/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package model2;

import java.awt.Graphics;
import java.awt.Image;
import java.awt.image.BufferedImage;
import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.sql.Statement;
import java.util.ArrayList;
import java.util.Set;
import java.util.logging.Level;
import java.util.logging.Logger;
import javax.swing.ImageIcon;
import javax.swing.JOptionPane;

/**
 *
 * @author dienert
 */
public class DbZugriff {

    Connection dbVerbindung;
    Statement sqlStatement;

    public DbZugriff() {

        try {
            Class.forName("org.postgresql.Driver");

            dbVerbindung = DriverManager.getConnection(
                    "jdbc:postgresql:katalog",
                    "alfred", //benutzer der datenbank
                    "mad" //sein passwort
            );

//            sqlStatement = dbVerbindung.createStatement(
//                    ResultSet.TYPE_SCROLL_INSENSITIVE,
//                    ResultSet.CONCUR_READ_ONLY
//            );
        } catch (Exception e) {
            e.printStackTrace();
        }

    }

    ArrayList<Produkt> getProduktListe() throws Exception {
        Produkt produkt;
        ArrayList<Produkt> produktListe = new ArrayList();

        PreparedStatement ps
                = dbVerbindung.prepareStatement("SELECT * FROM produkt;");

        ResultSet rs = ps.executeQuery();

        while (rs.next()) {
            produkt = new Produkt();
            produkt.setArt_nr(rs.getString("art_nr"));
            produkt.setProduktname(rs.getString("produktname"));
            produkt.setBeschreibung(rs.getString("beschreibung"));
            produkt.setHersteller(rs.getString("hersteller"));
            produkt.setPreis(rs.getInt("preis"));
            produkt.setImg_name(rs.getString("img_name"));
            produkt.setImg_pfad(rs.getString("img_pfad"));
            produkt.setBestand(rs.getInt("bestand"));
            produktListe.add(produkt);
        }
        rs.close();
        ps.close();
        return produktListe;
    }

    public static void main(String[] args) {
        DbZugriff dbz = new DbZugriff();
        try {
            ArrayList<Produkt> testliste = dbz.getProduktListe();
            
            for(Produkt element : testliste){
                System.out.println(element.toString());
        }
            
        } catch (Exception ex) {
            ex.printStackTrace();
        }
        

    }
}
